Bug 850250 - Introduce new systemd-rpm macros in openstack-glance spec file
Introduce new systemd-rpm macros in openstack-glance spec file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: openstack-glance (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:55 EDT by Lukáš Nykrýn
Modified: 2016-04-26 14:34 EDT (History)
15 users (show)

See Also:
Fixed In Version: 2015.1.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 15:02:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:55:43 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora End Of Life 2013-12-21 03:46:03 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora Admin XMLRPC Client 2014-04-09 06:02:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Kurik 2015-07-15 11:01:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Fedora Update System 2015-08-21 10:21:31 EDT
openstack-heat-2015.1.1-1.fc23 openstack-ceilometer-2015.1.1-1.fc23 openstack-neutron-2015.1.1-1.fc23 openstack-ironic-2015.1.1-1.fc23 openstack-sahara-2015.1.1-1.fc23 openstack-cinder-2015.1.1-1.fc23 openstack-glance-2015.1.1-1.fc23 openstack-nova-2015.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bugzilla.redhat.com/show_bug.cgi?id=850250
Comment 5 Fedora Update System 2015-08-22 12:24:48 EDT
openstack-ceilometer-2015.1.1-1.fc23, openstack-cinder-2015.1.1-1.fc23, openstack-glance-2015.1.1-1.fc23, openstack-heat-2015.1.1-1.fc23, openstack-ironic-2015.1.1-1.fc23, openstack-neutron-2015.1.1-1.fc23, openstack-nova-2015.1.1-1.fc23, openstack-sahara-2015.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update openstack-nova openstack-glance openstack-cinder openstack-sahara openstack-ironic openstack-neutron openstack-ceilometer openstack-heat'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-13914
Comment 6 Fedora Update System 2015-09-18 15:02:17 EDT
openstack-ceilometer-2015.1.1-1.fc23, openstack-cinder-2015.1.1-1.fc23, openstack-glance-2015.1.1-1.fc23, openstack-heat-2015.1.1-1.fc23, openstack-ironic-2015.1.1-1.fc23, openstack-neutron-2015.1.1-1.fc23, openstack-nova-2015.1.1-1.fc23, openstack-sahara-2015.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.